Loading...
Searching...
No Matches
WGPUBindGroupEntry Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
uint32_t | binding
WGPU_NULLABLE WGPUBuffer | buffer
uint64_t | offset
uint64_t | size
WGPU_NULLABLE WGPUSampler | sampler
WGPU_NULLABLE WGPUTextureView | textureView

## Detailed Description

Definition at line 1034 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUBindGroupEntry::nextInChain

Definition at line 1035 of file mini_webgpu.h.

## binding

uint32_t WGPUBindGroupEntry::binding

Definition at line 1036 of file mini_webgpu.h.

## buffer

WGPU_NULLABLE WGPUBuffer WGPUBindGroupEntry::buffer

Definition at line 1037 of file mini_webgpu.h.

## offset

uint64_t WGPUBindGroupEntry::offset

Definition at line 1038 of file mini_webgpu.h.

## size

uint64_t WGPUBindGroupEntry::size

Definition at line 1039 of file mini_webgpu.h.

## sampler

WGPU_NULLABLE WGPUSampler WGPUBindGroupEntry::sampler

Definition at line 1040 of file mini_webgpu.h.

## textureView

WGPU_NULLABLE WGPUTextureView WGPUBindGroupEntry::textureView

Definition at line 1041 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h